local Media = AceLibrary("LibSharedMedia-2.0")
AvionDefaultMedia = AceLibrary("AceAddon-2.0"):new()


function AvionDefaultMedia:OnInitialize()
	-- Textures
	if (self.textureList == nil) then
		return
	end
	
	-- Register each texture to SharedMedia
	for textureName, textureFile in pairs(self.textureList) do
		Media:Register("aura", textureName, "Interface\\AddOns\\AvionDefaultMedia\\Textures\\" .. textureFile)
	end
	
	-- Don't need it anymore
	textureList = nil
	
	
	-- Sound Files
	if (self.soundList == nil) then
		return
	end
	
	-- Register each sound to SharedMedia
	for soundName, soundFile in pairs(self.soundList) do
		Media:Register("sound", soundName, "Interface\\AddOns\\AvionDefaultMedia\\Sounds\\" .. soundFile)
	end
	
	-- Don't need it anymore
	soundList = nil
	
	
	-- Functions
	--Media:Register("function", "linear", "param", true)
	--Media:Register("function", "square", "param*param", true)
	--Media:Register("function", "squareroot", "math.sqrt(param)", true)
end
